Public Class FormularzOpcji

    Const c_strNazwaKlucza As String =
        "HKEY_CURRENT_USER\Software\Świetne Programy\Przeglądarka obrazów"

    Private Sub FormularzOpcji_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Me.Icon = FormularzPrzeglądarki.Icon
        poleNazwaUżytkownika.Text =
            CStr(My.Computer.Registry.GetValue(c_strNazwaKlucza, "Nazwa użytkownika", ""))
        polewyboruPotwierdzenieWyjścia.Checked =
            CBool(My.Computer.Registry.GetValue(c_strNazwaKlucza, "Potwierdzenie wyjścia", "0"))
        If CStr(My.Computer.Registry.GetValue(c_strNazwaKlucza, "Kolor tła", "Szary")) _
            = "Szary" Then
            opcjaDomyślneTło.Checked = True
        Else
            opcjaBiałeTło.Checked = True
        End If

    End Sub

    Private Sub przyciskOK_Click(sender As Object, e As EventArgs) Handles przyciskOK.Click
        My.Computer.Registry.SetValue(
            c_strNazwaKlucza, "Nazwa użytkownika", poleNazwaUżytkownika.Text)
        My.Computer.Registry.SetValue(
            c_strNazwaKlucza, "Potwierdzenie wyjścia", polewyboruPotwierdzenieWyjścia.Checked)
        If opcjaDomyślneTło.Checked Then
            My.Computer.Registry.SetValue(c_strNazwaKlucza, "Kolor tła", "Szary")
        Else
            My.Computer.Registry.SetValue(c_strNazwaKlucza, "Kolor tła", "Biały")
        End If
        FormularzPrzeglądarki.ZaładujUstawienia()
        Me.Close()

    End Sub

    Private Sub przyciskAnuluj_Click(sender As Object, e As EventArgs) Handles przyciskAnuluj.Click
        Me.Close()

    End Sub

End Class